## seqmagick 0.1.1

=== DESCRIPTION ===
Package: seqmagick
Title: Sequence Manipulation Utilities
Version: 0.1.1
Authors@R: c(
    person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
    )
Description: Supports reading and writing sequences for different formats (currently interleaved and sequential formats for 'FASTA' and 'PHYLIP'), file conversion, and manipulation (e.g. filter sequences that contain specify pattern, export consensus sequence from an alignment).
Depends: R (>= 3.4.0)
Imports: Biostrings, GenomicAlignments, GenomicRanges, IRanges,
        magrittr, muscle, Rsamtools, utils
Suggests: downloader, knitr, prettydoc
VignetteBuilder: knitr
ByteCompile: true
URL: https://github.com/YuLab-SMU/seqmagick
BugReports: https://github.com/YuLab-SMU/seqmagick/issues
License: Artistic-2.0
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2019-12-12 02:16:58 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-16 22:40:03 UTC

## seqmagick 0.1.2

=== DESCRIPTION ===
Package: seqmagick
Title: Sequence Manipulation Utilities
Version: 0.1.2
Authors@R: c(
    person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
    )
Description: Supports reading and writing sequences for different formats (currently interleaved and sequential formats for 'FASTA' and 'PHYLIP'), file conversion, and manipulation (e.g. filter sequences that contain specify pattern, export consensus sequence from an alignment).
Depends: R (>= 3.4.0)
Imports: Biostrings, magrittr, utils
Suggests: downloader, knitr, GenomicAlignments, GenomicRanges, IRanges,
        muscle, Rsamtools, prettydoc
VignetteBuilder: knitr
ByteCompile: true
URL: https://github.com/YuLab-SMU/seqmagick
BugReports: https://github.com/YuLab-SMU/seqmagick/issues
License: Artistic-2.0
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2019-12-18 01:31:49 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-18 15:00:05 UTC

## seqmagick 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: seqmagick
 Title: Sequence Manipulation Utilities
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: c(
     person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
     )
@@ -18,8 +18,8 @@
 LazyData: true
 RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2019-12-18 01:31:49 UTC; ygc
+Packaged: 2019-12-19 09:12:46 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-18 15:00:05 UTC
+Date/Publication: 2019-12-19 13:40:02 UTC

## seqmagick 0.1.4

=== DESCRIPTION ===
Package: seqmagick
Title: Sequence Manipulation Utilities
Version: 0.1.4
Authors@R: c(
    person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
    )
Description: Supports reading and writing sequences for different formats (currently interleaved and sequential formats for 'FASTA' and 'PHYLIP'), file conversion, and manipulation (e.g. filter sequences that contain specify pattern, export consensus sequence from an alignment).
Depends: R (>= 3.6.0)
Imports: Biostrings, magrittr, utils
Suggests: downloader, knitr, GenomicAlignments, GenomicRanges, IRanges,
        muscle, Rsamtools, prettydoc
VignetteBuilder: knitr
ByteCompile: true
URL: https://github.com/YuLab-SMU/seqmagick
BugReports: https://github.com/YuLab-SMU/seqmagick/issues
License: Artistic-2.0
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-09-22 07:09:32 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2020-09-22 07:30:03 UTC

## seqmagick 0.1.5

=== DESCRIPTION ===
Package: seqmagick
Title: Sequence Manipulation Utilities
Version: 0.1.5
Authors@R: c(
    person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
    )
Description: Supports reading and writing sequences for different formats (currently interleaved and sequential formats for 'FASTA' and 'PHYLIP'), file conversion, and manipulation (e.g. filter sequences that contain specify pattern, export consensus sequence from an alignment).
Depends: R (>= 3.6.0)
Imports: Biostrings, magrittr, utils
Suggests: downloader, knitr, rmarkdown, GenomicAlignments,
        GenomicRanges, IRanges, muscle, Rsamtools, prettydoc
VignetteBuilder: knitr
ByteCompile: true
URL: https://github.com/YuLab-SMU/seqmagick
BugReports: https://github.com/YuLab-SMU/seqmagick/issues
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-25 06:27:46 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-25 06:50:02 UTC

## seqmagick 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: seqmagick
 Title: Sequence Manipulation Utilities
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: c(
     person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
     )
@@ -15,10 +15,10 @@
 BugReports: https://github.com/YuLab-SMU/seqmagick/issues
 License: Artistic-2.0
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2021-04-25 06:27:46 UTC; ygc
+Packaged: 2023-06-27 04:10:58 UTC; HUAWEI
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-04-25 06:50:02 UTC
+Date/Publication: 2023-06-27 05:10:02 UTC

## seqmagick 0.1.7

=== DESCRIPTION ===
Package: seqmagick
Title: Sequence Manipulation Utilities
Version: 0.1.7
Authors@R: c(
    person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
    )
Description: Supports reading and writing sequences for different formats (currently interleaved and sequential formats for 'FASTA' and 'PHYLIP'), file conversion, and manipulation (e.g. filter sequences that contain specify pattern, export consensus sequence from an alignment).
Depends: R (>= 3.6.0)
Imports: Biostrings, magrittr, stats, utils, yulab.utils (> 0.1.1)
Suggests: downloader, knitr, rmarkdown, GenomicAlignments,
        GenomicRanges, IRanges, muscle, Rsamtools, prettydoc
VignetteBuilder: knitr
ByteCompile: true
URL: https://github.com/YuLab-SMU/seqmagick
BugReports: https://github.com/YuLab-SMU/seqmagick/issues
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-01-09 02:10:27 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-09 03:40:02 UTC

## seqmagick 0.1.8

=== DESCRIPTION ===
Package: seqmagick
Title: Sequence Manipulation Utilities
Version: 0.1.8
Authors@R: c(
    person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
    )
Description: Tools for reading and writing biological sequences in multiple
    formats, including 'FASTA', 'PHYLIP', 'CLUSTAL', 'STOCKHOLM', 'MEGA' and
    'GenBank'. Supports interleaved and sequential layouts where applicable,
    converts between formats, and manipulates sequence sets (e.g., filtering by
    patterns and computing consensus sequences from alignments). Also includes
    functions to download nucleotide records from NCBI by accession.
Depends: R (>= 4.1.0)
Imports: Biostrings, magrittr, stats, utils, yulab.utils (> 0.1.6)
Suggests: knitr, rmarkdown, GenomicAlignments, GenomicRanges, IRanges,
        muscle, Rsamtools, prettydoc
VignetteBuilder: knitr
ByteCompile: true
URL: https://github.com/YuLab-SMU/seqmagick
BugReports: https://github.com/YuLab-SMU/seqmagick/issues
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-01-31 07:38:03 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2026-01-31 07:50:03 UTC

## seqmagick 0.7.0

=== debian/changelog ===
seqmagick (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #900394)

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 09:47:34 +0200

=== debian/control ===
Source: seqmagick
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-nose,
               python3-biopython
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/seqmagick
Vcs-Git: https://salsa.debian.org/med-team/seqmagick.git
Homepage: https://github.com/fhcrc/seqmagick/

Package: seqmagick
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Description: imagemagick-like frontend to Biopython SeqIO
 Seqmagick is a little utility to expose the file format conversion
 in BioPython in a convenient way.
 .
 Features include:
 .
  * Modifying sequences:
    - Remove gaps
    - Reverse & reverse complement
    - Trim to a range of residues
    - Change case
    - Sort by length or ID
  * Displaying information about sequence files
  * Subsetting sequence files by:
    - Position
    - ID
    - Deduplication
  * Filtering sequences by quality score
  * Trimming alignments to a region of interest defined by the forward
    and reverse primers

## seqmagick 0.8.0

=== requirements.txt ===
biopython>=1.70

# for development
wheel
sphinx
nose
twine
ghp-import

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/seqmagick.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/seqmagick.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/seqmagick"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/seqmagick"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
seqmagick (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.4.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 22:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-nose,
                python3-biopython
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/seqmagick
 Vcs-Git: https://salsa.debian.org/med-team/seqmagick.git
 Homepage: https://github.com/fhcrc/seqmagick/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf seqmagick/data
	rm -rf seqmagick.egg-info

=== debian/watch ===
version=4

https://github.com/fhcrc/seqmagick/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## seqmagick 0.8.2

=== requirements.txt ===
biopython>=1.70
pygtrie

# for development
wheel
sphinx
nose
twine
ghp-import

=== debian/changelog ===
seqmagick (0.8.2-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream version
  * Refresh patches:
    - remove fix-myfunctions-example-file.patch, applied upstream;
    - remove replace-biopython-trie-with-pygtrie.patch, applied upstream;
    - refresh biopython_1.71_dual_coding_support.patch hunks.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 14 Nov 2020 20:01:17 +0100

seqmagick (0.8.0-2) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * Remove autogenerated version string and egg-info

  [ Nilesh Patra ]
  * Encode for adding support to utf-8
  * Replace Bio.trie with pygtrie (Closes: #963326)
  * Update Depends
  * Add autopkgtests
  * Fix manpage
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 16 Aug 2020 20:45:50 +0530

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: seqmagick
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-nose,
-               python3-biopython
-Standards-Version: 4.4.1
+               python3-biopython,
+               python3-pygtrie
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/seqmagick
 Vcs-Git: https://salsa.debian.org/med-team/seqmagick.git
 Homepage: https://github.com/fhcrc/seqmagick/
+Rules-Requires-Root: no
 
 Package: seqmagick
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-biopython
+         python3-biopython,
+         python3-pygtrie
 Description: imagemagick-like frontend to Biopython SeqIO
  Seqmagick is a little utility to expose the file format conversion
  in BioPython in a convenient way.

## seqmagick 0.8.4

=== requirements.txt ===
biopython>=1.78
pygtrie>=2.1

# for development
wheel
sphinx
nose
twine
ghp-import

=== debian/changelog ===
seqmagick (0.8.4-3) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control,pytest.patch: replace nose by pytest.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 16:31:31 +0100

seqmagick (0.8.4-2) unstable; urgency=medium

  * d/watch: adjust link, following changes in Github
  * d/control: updated maintainer address
  * Standards-Version: 4.6.0 (routine-update)
  * Set field Upstream-Name in debian/copyright.

 -- Étienne Mollier <emollier@debian.org>  Wed, 01 Sep 2021 17:20:18 +0200

seqmagick (0.8.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * More verbose autopkgtest and minor fix in case several shell scripts are in
    the same directory in the future.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 09 Dec 2020 14:27:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: seqmagick
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-nose,
+               python3-pytest <!nocheck>,
                python3-biopython,
                python3-pygtrie
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/seqmagick
 Vcs-Git: https://salsa.debian.org/med-team/seqmagick.git
 Homepage: https://github.com/fhcrc/seqmagick/

## seqmagick 0.8.6

=== debian/changelog ===
seqmagick (0.8.6-4) unstable; urgency=medium

  * Team upload.
  * Drop <!nocheck> from python3-pytest. Closes: #1116912.
  * Drop "Rules-Requires-Root: no", it's now the default.
  * Drop "Priority: optional", it's now the default.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 13:20:00 +0200

seqmagick (0.8.6-3) unstable; urgency=medium

  * d/rules: workaround upstream __version__ setting.
    The original setup.py code uses git, but this is not available in the
    build environment. (Closes: #1077409)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Aug 2024 22:05:39 +0200

seqmagick (0.8.6-2) unstable; urgency=medium

  * replace-ungap.patch: new: fix test failure. (Closes: #1066772)
  * d/{rules,control}: activate autodep8-pybuild.
    This change increases autopkgtest coverage by running upstream test
    suite in such context.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 18:11:48 +0100

seqmagick (0.8.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Jun 2023 11:11:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-pytest <!nocheck>,
+               python3-pytest,
                python3-biopython,
                python3-pygtrie
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/seqmagick
 Vcs-Git: https://salsa.debian.org/med-team/seqmagick.git
 Homepage: https://github.com/fhcrc/seqmagick/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: seqmagick
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

# Workaround the missing version file caused by missing the git command
# inside the build environment.  Technically this needs to be executed
# before setup.py calls.  Don't hesitate to split the two Makefile
# targets if some changes are needed in only one of dh_auto_clean or
# dh_auto_configure, or if one thinks this is more readable.  This was
# needed to address Debian bug #1077409.
execute_before_dh_auto_clean execute_before_dh_auto_configure:
	mkdir -p seqmagick/data
	echo $(DEB_VERSION_UPSTREAM) > seqmagick/data/ver

execute_after_dh_auto_clean:
	mkdir -p seqmagick/data
	rm -rf seqmagick/data
	rm -rf seqmagick.egg-info

before-pybuild-autopkgtest:
	# Pull test items that are otherwise uncaught by pybuild-autodep8.
	mkdir -p ../../autopkgtest_tmp/build/seqmagick
	cp -r /usr/lib/python3/dist-packages/seqmagick/test \
		../../autopkgtest_tmp/build/seqmagick

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/fhcrc/seqmagick/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
